<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__http__message__body__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_http_message_body_t</compoundname>
    <includes local="no">cy_http_server.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__http__message__body__t_1a3d07565cc43cf954e63ebaa5c2db1ca6" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_http_message_body_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Packet data in message body. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="252" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="252" />
      </memberdef>
      <memberdef id="structcy__http__message__body__t_1a3cfde2375f1e55e21bd204a8f843f473" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_http_message_body_t::data_length</definition>
        <argsstring />
        <name>data_length</name>
        <briefdescription>
<para>Data length in current packet. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="253" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="253" />
      </memberdef>
      <memberdef id="structcy__http__message__body__t_1afeaaa983c593be6dc2ba404ea086d44c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_http_message_body_t::data_remaining</definition>
        <argsstring />
        <name>data_remaining</name>
        <briefdescription>
<para>Data yet to be consumed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="254" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="254" />
      </memberdef>
      <memberdef id="structcy__http__message__body__t_1a732a4fae8ab65d0d2b4e686c61402fbc" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_http_message_body_t::is_chunked_transfer</definition>
        <argsstring />
        <name>is_chunked_transfer</name>
        <briefdescription>
<para>Chunked data format. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="255" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="255" />
      </memberdef>
      <memberdef id="structcy__http__message__body__t_1a38d892177ec43905ae3f8bd1107e1e31" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__http__server__struct_1gab6be7a35bfdbd62b763603d280dc4ee1">cy_http_mime_type_t</ref></type>
        <definition>cy_http_mime_type_t cy_http_message_body_t::mime_type</definition>
        <argsstring />
        <name>mime_type</name>
        <briefdescription>
<para>MIME type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="256" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="256" />
      </memberdef>
      <memberdef id="structcy__http__message__body__t_1a63816ce209da9210ab93c3699ce775f9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__http__server__struct_1ga133e1438783bd7430e0e80b23518e743">cy_http_request_type_t</ref></type>
        <definition>cy_http_request_type_t cy_http_message_body_t::request_type</definition>
        <argsstring />
        <name>request_type</name>
        <briefdescription>
<para>Request type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="257" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="257" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HTTP message structure that gets passed to dynamic URL processor functions. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="258" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="250" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="251" />
    <listofallmembers>
      <member prot="public" refid="structcy__http__message__body__t_1a3d07565cc43cf954e63ebaa5c2db1ca6" virt="non-virtual"><scope>cy_http_message_body_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__http__message__body__t_1a3cfde2375f1e55e21bd204a8f843f473" virt="non-virtual"><scope>cy_http_message_body_t</scope><name>data_length</name></member>
      <member prot="public" refid="structcy__http__message__body__t_1afeaaa983c593be6dc2ba404ea086d44c" virt="non-virtual"><scope>cy_http_message_body_t</scope><name>data_remaining</name></member>
      <member prot="public" refid="structcy__http__message__body__t_1a732a4fae8ab65d0d2b4e686c61402fbc" virt="non-virtual"><scope>cy_http_message_body_t</scope><name>is_chunked_transfer</name></member>
      <member prot="public" refid="structcy__http__message__body__t_1a38d892177ec43905ae3f8bd1107e1e31" virt="non-virtual"><scope>cy_http_message_body_t</scope><name>mime_type</name></member>
      <member prot="public" refid="structcy__http__message__body__t_1a63816ce209da9210ab93c3699ce775f9" virt="non-virtual"><scope>cy_http_message_body_t</scope><name>request_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>